#!/bin/sh
#
# $FreeBSD: ports/sysutils/nut/files/nut.sh.sample,v 1.5 2005/07/14 08:21:12 sem Exp $
#

# PROVIDE: nut
# REQUIRE: NETWORKING
# BEFORE: LOGIN
# KEYWORD: shutdown

# Define these nut_* variables in one of these files:
#       /etc/rc.conf
#       /etc/rc.conf.local
#       /etc/rc.conf.d/nut
#
# DO NOT CHANGE THESE DEFAULT VALUES HERE
#
nut_enable=${nut_enable-"NO"}
nut_prefix=${nut_prefix-"/usr/local"}
nut_pidfile=${nut_pidfile-"/var/db/nut/nut.pid"}
nut_upslog=${nut_upslog-"/var/log/ups.log"}
nut_upsloginterval=${nut_upsloginterval-"300"}
nut_upslogmail=${nut_upslogmail-"backups@localhost"}

. /etc/rc.subr

name="nut"
rcvar=`set_rcvar`

required_dirs="/var/db/nut"
required_files="${nut_prefix}/etc/nut/ups.conf ${nut_prefix}/etc/nut/upsd.conf ${nut_prefix}/etc/nut/upsd.users ${nut_prefix}/etc/nut/upsmon.conf"

start_postcmd="nut_start"
stop_cmd="nut_stop"

nut_start() {
	${nut_prefix}/libexec/nut/upsdrvctl start
	${nut_prefix}/sbin/upsd
	${nut_prefix}/sbin/upsmon localhost
	${nut_prefix}/bin/upslog -s ${nut_upslogmail} -l ${nut_upslog} -i ${nut_upsloginterval}
}

nut_stop() {
	/usr/bin/killall upslog upsmon upsd
	${nut_prefix}/libexec/nut/upsdrvctl stop
}

load_rc_config $name
run_rc_command "$1"
